> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish Record List

> Interface description: Get user publishing history in pages



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/records
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/v2/channels/publish/records:
    get:
      tags:
        - Channel Management/Publishing
      summary: Publish Record List
      description: 'Interface description: Get user publishing history in pages'
      operationId: PublishRecordController_listRecords_v2
      parameters:
        - name: accountId
          in: query
          description: Account ID
          required: false
          example: ''
          schema:
            type: string
            description: Account ID
        - name: accountType
          in: query
          description: Account platform
          required: false
          example: ''
          schema:
            type: string
            enum:
              - douyin
              - xhs
              - wxSph
              - KWAI
              - youtube
              - wxGzh
              - bilibili
              - twitter
              - tiktok
              - facebook
              - instagram
              - threads
              - pinterest
              - linkedin
              - google_business
            description: Account platform
        - name: time
          in: query
          description: Release time range
          required: false
          example: ''
          schema:
            description: Release time range
            type: array
            items:
              description: start time
              type: string
              format: date-time
        - name: status
          in: query
          description: Release status
          required: false
          example: ''
          schema:
            description: Release status
            type: number
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ChannelPublishRecordVo'
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      - id: string
                        accountType: douyin
                        type: video
                        status: -1
                        publishTime: '2026-07-02T12:00:00.000Z'
                        flowId: string
                        taskId: string
                        userTaskId: string
                        accountId: string
                        title: string
                        desc: string
                        platformWorkId: string
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    ChannelPublishRecordVo:
      type: object
      properties:
        id:
          type: string
          description: Post record ID
        flowId:
          type: string
          description: Post Flow ID
        taskId:
          description: External task ID
          type: string
        userTaskId:
          description: User task ID
          type: string
        accountId:
          type: string
          description: Account ID
        accountType:
          type: string
          enum:
            - douyin
            - xhs
            - wxSph
            - KWAI
            - youtube
            - wxGzh
            - bilibili
            - twitter
            - tiktok
            - facebook
            - instagram
            - threads
            - pinterest
            - linkedin
            - google_business
          description: Account platform
        type:
          type: string
          enum:
            - video
            - article
          description: Release type
        status:
          description: Release status
          type: number
          enum:
            - -1
            - 0
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
            - 7
            - 8
            - 9
        title:
          description: title
          type: string
        desc:
          description: text
          type: string
        publishTime:
          description: Release time
          type: string
          format: date-time
        platformWorkId:
          description: Platform work ID
          type: string
        workLink:
          description: Work link
          type: string
        linkStatus:
          description: Work link status
          type: string
          enum:
            - pending
            - ready
            - failed
        linkError:
          description: Error getting link to work
          type: string
        linkMeta:
          description: Work link extension information
          type: object
          additionalProperties: true
          properties: {}
        videoUrl:
          description: Video URL
          type: string
        coverUrl:
          description: Cover URL
          type: string
        imgUrlList:
          description: Image URL list
          type: array
          items:
            type: string
        source:
          description: Release source
          type: string
          enum:
            - publish
            - task_link
            - offline_qr
            - btl
            - web
            - api
            - internal
            - mcp
        errorMsg:
          description: error message
          type: string
        errorData:
          description: Post error details
          type: object
          properties:
            type:
              type: string
              description: Error type
            code:
              type: string
              description: error code
            message:
              description: error message
              type: string
          required:
            - type
            - code
            - message
        createdAt:
          type: string
          format: date-time
          description: creation time
        updatedAt:
          type: string
          format: date-time
          description: Update time
      required:
        - id
        - accountType
        - type
        - status
        - publishTime
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Need to get API Key from AiToEarn. Click to go to ["API Key Obtaining
        Tutorial"](/en/use/api-key).

````